# class RSS::Maker::Atom::Entry

### Public Class Methods

new(feed_version="1.0") click to toggle source
Calls superclass method `RSS::Maker::RSSBase::new`

    # File lib/rss/maker/entry.rb, line 9
    def initialize(feed_version="1.0")
      super
      @feed_type = "atom"
      @feed_subtype = "entry"
    end

### Private Instance Methods

make_feed() click to toggle source

    # File lib/rss/maker/entry.rb, line 16
    def make_feed
      ::RSS::Atom::Entry.new(@version, @encoding, @standalone)
    end

setup_elements(entry) click to toggle source

    # File lib/rss/maker/entry.rb, line 20
    def setup_elements(entry)
      setup_items(entry)
    end